package com.persagy.legend.models.entities

import io.swagger.v3.oas.annotations.media.Schema
import javax.persistence.Id

/**
 * 锚点类
 * @author  zy
 */
@Schema(description = "锚点")
class Anchor {
    /** 锚点id */
    @Schema(description = "锚点id")
    @Id
    var id: String? = null

    /** 锚点坐标 */
    @Schema(description = "锚点坐标")
    var pos: Pos? = null

    /** 图例id */
    @Schema(description = "图例id")
    var legendId: String? = null
} // Class Anchor