package com.persagy.labsl.services

import com.persagy.labsl.models.entities.tpt.Node
import com.persagy.service.models.requests.SCreateRequest
import com.persagy.service.models.requests.SUpdateRequest
import com.persagy.service.models.responses.SBaseResponse
import com.persagy.service.models.responses.SCreateResponse

/**
 * 备注逻辑处理接口 
 * @author : lijie
 * Update By 2022/5/31 19:48
 */
interface NodeLogicService {

    /**
     * 创建注释说明
     * @author : lijie
     * Update By 2022/5/31 19:51
     */
    fun createsLogic(request: SCreateRequest<Node>): SCreateResponse<Node>
    /**
     * 删除注释说明
     * @author : lijie
     * Update By 2022/5/31 19:52
     */
    fun deletesLogic(idList: ArrayList<Node>): SBaseResponse
    /**
     * 更新注释说明
     * @author : lijie
     * Update By 2022/5/31 19:53
     */
    fun updateListLogic(request: SUpdateRequest<Node>): SBaseResponse
}