package cn.sagacloud.server.algorithm.models.group

import cn.sagacloud.server.algorithm.models.project.ProjectDTO
import com.fasterxml.jackson.annotation.JsonIgnoreProperties
import com.fasterxml.jackson.annotation.JsonProperty
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty

/**
 * 项目
 * @author  Cainga
 * @date  2020/12/3 15:50
 */
@ApiModel(description = "集团")
@JsonIgnoreProperties(ignoreUnknown = true)
open class GroupProjectDTO(/** 集团id */ @ApiModelProperty(value = "集团id") @JsonProperty("groupCode") var groupCode: String?,
                           /** 集团名称 */ @ApiModelProperty(value = "集团名称") @JsonProperty("groupName") var groupName: String?,
                           /** 项目列表 */ @ApiModelProperty(value = "项目列表") @JsonProperty("projects") var projects: List<ProjectDTO>?) {
}