package cn.sagacloud.server.algorithm.models.project

import com.fasterxml.jackson.annotation.JsonIgnoreProperties
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty

/**
 * 项目
 * @author  Cainga
 * @date  2020/12/3 15:50
 */
@ApiModel(description = "项目")
@JsonIgnoreProperties(ignoreUnknown = true)
open class ProjectDTO(/** 项目id */ @ApiModelProperty(value = "项目id") val projectId:String?,
                      /** 项目名称 */ @ApiModelProperty(value = "项目名称")val projectName:String?) {
}